using Microsoft.Extensions.Logging;

namespace FitConnect.Services;

internal class DvdvService : RestCallService {
    public DvdvService(string baseUrl, string version = "v1", ILogger? logger = null) : base(
        $"{baseUrl}/{version}", logger) {
    }

    public async Task<string> GetDestinationJson(string destinationId) {
        var json = await RestCallForString("/destinations/" + destinationId, HttpMethod.Get);
        return json;
    }
}
