using Newtonsoft.Json;

namespace FitConnect.Services.Models.v1.Destination;

public class CreateDestinationDto {
    [JsonProperty("callback")]
    public CallbackDto? Callback { get; set; }

    [JsonProperty("contactInformation")]
    public ContactInformationDto? ContactInformation { get; set; }


    [JsonProperty("encryptionKid")]
    public string? EncryptionKid { get; set; }


    [JsonProperty("encryptionPublicKey")]
    public string? EncryptionPublicKey { get; set; }


    [JsonProperty("metadataVersions")]
    public List<string>? MetadataVersions { get; set; }


    [JsonProperty("replyChannels")]
    public DestinationReplyChannelsDto? ReplyChannels { get; set; }


    [JsonProperty("services")]
    public List<DestinationServiceDto>? Services { get; set; }


    [JsonProperty("signingPublicKey")]
    public string? SigningPublicKey { get; set; }
}
