namespace FitConnect.Services.Models.v1.Destination;

public class DestinationReplyChannelsDto {
    public DestinationReplyChannelsDto(
        EmailDto eMail,
        DeMailDto deMail,
        FinkDto fink,
        ElsterDto elster) {
        EMail = EMail;
        DeMail = DeMail;
        Fink = Fink;
        Elster = Elster;
    }

    public DeMailDto? DeMail { get; set; }


    public ElsterDto? Elster { get; set; }
    public EmailDto? EMail { get; set; }


    public FinkDto? Fink { get; set; }


    public bool IsEmpty() {
        return EMail == null && DeMail == null && Fink == null && Elster == null;
    }
}
