using Newtonsoft.Json;

namespace FitConnect.Services.Models.v1.Destination;

public class PrivateDestinationDto {
    [JsonProperty("callback")]
    public CallbackDto? Callback { get; set; }


    [JsonProperty("contactInformation")]
    public ContactInformationDto? ContactInformation { get; set; }

    [JsonProperty("destinationId")]
    public string? DestinationId { get; set; }


    [JsonProperty("encryptionKid")]
    public string? EncryptionKid { get; set; }


    [JsonProperty("metadataVersions")]
    public List<string>? MetadataVersions { get; set; }


    [JsonProperty("replyChannels")]
    public DestinationReplyChannelsDto? ReplyChannels { get; set; }


    [JsonProperty("services")]
    public List<DestinationServiceDto>? Services { get; set; }


    [JsonProperty("status")]
    public string? Status { get; set; }
}
