using Newtonsoft.Json;

namespace FitConnect.Services.Models.v1.Destination;

// ReSharper disable once ClassNeverInstantiated.Global
public class PublicDestinationDto {
    [JsonProperty("destinationId")]
    public string? DestinationId { get; set; }


    [JsonProperty("encryptionKid")]
    public string? EncryptionKid { get; set; }


    [JsonProperty("metadataVersions")]
    public List<string>? MetadataVersions { get; set; }


    [JsonProperty("replyChannels")]
    public DestinationReplyChannelsDto? ReplyChannels { get; set; }


    [JsonProperty("services")]
    public List<DestinationServiceDto>? Services { get; set; }


    [JsonProperty("status")]
    public string? Status { get; set; }
}
