using Newtonsoft.Json;

namespace FitConnect.Services.Models.v1.Submission;

public class CreateSubmissionDto {
    [JsonProperty("callback")]
    public CallbackDto? Callback { get; set; }


    [JsonProperty("serviceType")]
    public ServiceTypeDto? ServiceType { get; set; }


    [JsonProperty("announcedAttachments")]
    public List<string>? AnnouncedAttachments { get; set; }

    [JsonProperty("caseId")]
    public string? CaseId { get; set; }

    [JsonProperty("destinationId")]
    public string? DestinationId { get; set; }
}
