using Newtonsoft.Json;

namespace FitConnect.Services.Models.v1.Submission;

public class SubmissionReducedDto {
    [JsonProperty("serviceType")]
    private ServiceTypeDto _serviceTypeDto { get; set; }


    [JsonProperty("attachments")]
    private List<string>? Attachments { get; set; }


    [JsonProperty("callback")]
    private CallbackDto? Callback { get; set; }


    [JsonProperty("caseId")]
    private string? CaseId { get; set; }

    [JsonProperty("destinationId")]
    private string? DestinationId { get; set; }


    [JsonProperty("submissionId")]
    private string? SubmissionId { get; set; }
}
