using Newtonsoft.Json;

namespace FitConnect.Services.Models.v1.Submission;

public class SubmissionDto {
    [JsonProperty("attachments")]
    public List<string>? Attachments { get; set; }


    [JsonProperty("callback")]
    public CallbackDto? Callback { get; set; }


    [JsonProperty("caseId")]
    public string? CaseId { get; set; }

    [JsonProperty("destinationId")]
    public string? DestinationId { get; set; }


    [JsonProperty("encryptedData")]
    public string? EncryptedData { get; set; }


    [JsonProperty("encryptedMetadata")]
    public string? EncryptedMetadata { get; set; }


    [JsonProperty("serviceType")]
    public ServiceTypeDto? ServiceType { get; set; }


    [JsonProperty("submissionId")]
    public string? SubmissionId { get; set; }
}
